## OAI 5G configuration files
### CU/DU configuration
    1. Configure the values from the TAC and PLMN inside the CU and DU files(/path/to/oai/targets/PROJECTS/GENERIC-NR-5GC/CONF/) (Fig. 1).
        Important: These values are contained in the container OAI-AMF configuration (/path/to/oai-cn5g-fed/docker-compose/docker-compose-nrf.yaml).

![ALT](/openairinterface5g/openairinterface-conf/fig/plmn_CU_DU.png)

*Figure 1 - PLMN and TAC* 
    
    2. Configure the interface N2 to connect CU with 5G Core (/path/to/oai/targets/PROJECTS/GENERIC-NR-5GC/CONF/cu) (Fig. 2)
        a. You can find the OAI-AMF address inside /path/to/oai-cn5g-fed/docker-compose/docker-compose-nrf.yaml.
        b. When installing Core a virtual interface(demo-oai) is created, this interface serves to connect the respective computer with OAI 5G Core. 

 ![ALT](/openairinterface5g/openairinterface-conf/fig/interfaces_CU_AMF.png)   

*Figure 2 - N2 Interface*
 

### UE configuration

    1. Configure the values of: imsi, key, opc, dnn, nssai_sst, nssai_sd.
        a. Inside the file /path/to/oai-cn5g-fed/docker-compose/database/oai_db.sql, you can find the values of: imsi, key, opc.
            i. You can modify the SQL file changing the file name inside /path/to/oai-cn5g-fed/docker-compose/docker-compose-nrf.yaml.
        b. Inside the container OAI-AMF configuration (/path/to/oai-cn5g-fed/docker-compose/docker-compose-nrf.yaml), you can find the values: dnn, nssai_sst, nssai_sd.

![ALT](/openairinterface5g/openairinterface-conf/fig/nr-softmodem.png)

### NR Softmodem configuration

To run the configuration CU/DU with FlexRIC, it is necessary to fix the NodeB ID in the source code.

    1. Add "nb_id = rrc->configuration.cell_identity;" in both "else if" (Fig. 3). 

![ALT](/openairinterface5g/openairinterface-conf/fig/nr-softmodem.png)

*Figure 3 - NR source code*

## Script to run 
    1. The script "run_SIMU_oai_ran.sh" runs the OAI CU/DU simulation with FlexRIC.
        i. You can check if the CU is well connected with the command: "docker logs oai-amf".   
    2. The script "run_SIMU_oai_ran_w_UE.sh" runs the simulation of OAI CU/DU,FlexRIC connected with UE.
    3. The script "run_USRP_oai_UE.sh" runs the OAI UE on the USRP.
    4. The script "run_USRP_oai_ran.sh" runs the OAI CU/DU with FlexRIC on the USRP.
